{
  "name": "freeplanet-serverside",
  "version": "1.0.2",
  "description": "freeplanet serverside",
  "main": "server/server.js",
  "scripts": {
    "start": "node src/server/server.js",
    "dev": "NODE_ENV=development nodemon src/server/server.js",
    "build": "gulp build",
    "watch": "gulp watch",
    "test": "export NODE_ENV=development || SET NODE_ENV=development && mocha src/server/**/*.test.js",
    "start:prod": "NODE_ENV=production node src/server/server.js",
    "starttest": "NODE_ENV=test node src/server/server.js",
    "test-watch": "nodemon --exec 'npm test'"
  },
  "engines": {
    "node": "^18.19.0"
  },
  "author": "Paolo Arena",
  "license": "MIT",
  "dependencies": {
    "basic-ftp": "^5.0.2",
    "bcryptjs": "^2.4.3",
    "bluebird": "^3.7.2",
    "body-parser": "^1.20.0",
    "cookie-parser": "^1.4.6",
    "cors": "^2.8.5",
    "country-codes-list": "^1.6.8",
    "crypto-js": "^4.1.1",
    "csurf": "^1.11.0",
    "dotenv": "^16.0.2",
    "ejs": "^3.1.8",
    "email-templates": "^10.0.1",
    "express": "^4.18.1",
    "formidable": "^2.0.1",
    "i18n": "^0.15.0",
    "image-downloader": "^4.3.0",
    "internet-available": "^1.0.0",
    "jade": "^1.9.2",
    "jsdom": "^24.0.0",
    "jsonwebtoken": "^9.0.1",
    "lodash": "^4.17.21",
    "mongodb": "^4.4.1",
    "mongoose": "^5.13.15",
    "mysql": "^2.18.1",
    "node-cron": "^3.0.2",
    "node-emoji": "^1.11.0",
    "node-image-resizer": "^1.0.0",
    "node-pre-gyp": "^0.14.0",
    "node-pty": "^1.0.0",
    "node-telegram-bot-api": "^0.65.1",
    "nodemailer": "^6.7.8",
    "npm-check-updates": "^16.14.18",
    "pem": "^1.14.6",
    "preview-email": "^3.0.7",
    "pug": "^3.0.2",
    "rate-limiter-flexible": "^2.3.9",
    "request": "^2.34",
    "sanitize-html": "^2.13.0",
    "save": "^2.5.0",
    "sharp": "^0.30.7",
    "superagent": "^8.0.0",
    "url-parse": "^1.5.10",
    "validator": "^13.7.0",
    "vhost": "^3.0.2",
    "web-push": "^3.6.7",
    "xoauth2": "^1.2.0"
  },
  "devDependencies": {
    "browser-sync": "^2.27.10",
    "expect": "^29.0.2",
    "gulp": "^3.9.1",
    "gulp-inline-css": "^2.0.0",
    "gulp-pug": "^5.0.0",
    "gulp-rename": "^2.0.0",
    "gulp-replace": "^1.1.3",
    "gulp-sass": "^5.1.0",
    "jest": "^29.0.2",
    "mocha": "^10.0.0",
    "nodemon": "^3.0.1",
    "supertest": "^6.2.4"
  }
}
